Python
from auriko import Client
client = Client()
models = client.models.list()
for model in models.data:
print(f"{model.id} — {len(model.providers)} providers")const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.auriko.ai/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl https://api.auriko.ai/v1/models \
-H "Authorization: Bearer $AURIKO_API_KEY"
{
"object": "list",
"data": [
{
"id": "gpt-4o-2024-08-06",
"object": "model",
"created": 1776656101,
"owned_by": "auriko",
"context_window": 128000,
"supported_endpoints": [
"assistants",
"batch",
"chat_completions",
"fine_tuning",
"responses"
],
"providers": [
{
"name": "openai",
"input_price": 2.5,
"output_price": 10,
"data_policy": "no_training"
}
]
}
],
"catalog_version": "9950bdc087663c7b",
"catalog_age_seconds": 120
}Models
List callable models
Lists model IDs you can use with authenticated Auriko inference requests.
GET
/
v1
/
models
Python
from auriko import Client
client = Client()
models = client.models.list()
for model in models.data:
print(f"{model.id} — {len(model.providers)} providers")const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.auriko.ai/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl https://api.auriko.ai/v1/models \
-H "Authorization: Bearer $AURIKO_API_KEY"
{
"object": "list",
"data": [
{
"id": "gpt-4o-2024-08-06",
"object": "model",
"created": 1776656101,
"owned_by": "auriko",
"context_window": 128000,
"supported_endpoints": [
"assistants",
"batch",
"chat_completions",
"fine_tuning",
"responses"
],
"providers": [
{
"name": "openai",
"input_price": 2.5,
"output_price": 10,
"data_policy": "no_training"
}
]
}
],
"catalog_version": "9950bdc087663c7b",
"catalog_age_seconds": 120
}GET /v1/models returns the OpenAI-compatible model list for your API key. Use this endpoint when you need model IDs for authenticated requests to /v1/chat/completions, /v1/responses, or /v1/messages.
By default the list contains models callable via Chat Completions. Add ?endpoint=responses to also include models that are only available via the Response API, such as gpt-5.5-pro.
To browse models, compare capabilities, inspect context windows, or review provider pricing, use the Model directory.
The response includes Auriko fields in addition to OpenAI model fields:
providers[]: Available providers with pricing for each modelsupported_endpoints: APIs the model supports (e.g.,chat_completions,responses,batch)context_window: Largest context window across the model’s providerscatalog_version: Version of the model catalogcatalog_age_seconds: Age of the catalog data
All parameters, request/response schemas, and examples are auto-generated from the OpenAPI specification.
Authorizations
API key authentication.
Keys start with ak_ prefix.
Example: Authorization: Bearer ak_live_xxxxxxxxxxxx
Query Parameters
By default the list contains models callable via Chat Completions
(endpoint=chat_completions is equivalent to omitting the parameter).
Set endpoint=responses to also include models that are only
available via the Response API.
Available options:
chat_completions, responses